---
title: CSSNumericValue.type
slug: Web/API/CSSNumericValue/type
tags:
  - API
  - CSS Typed Object Model API
  - CSSNumericValue
  - Experimental
  - Houdini
  - Property
  - Reference
  - Type
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>type()</code></strong> method of the {{domxref("CSSNumericValue")}} interface returns the type of <code>CSSNumericValue</code>, one of <code>angle</code>, <code>flex</code>, <code>frequency</code>, <code>length</code>, <code>resolution</code>, <code>percent</code>, <code>percentHint</code>, or <code>time</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var cssNumericType = CSSNumericValue.type();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref('CSSNumericType')}} object.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let mathSum = CSS.px("23").sub(CSS.percent("4")).sub(CSS.cm("3")).sub(CSS.in("9"));
// Returns an object with the structure: {length: 1, percentHint: "length"}
let cssNumericType = mathSum.type();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssnumericvalue-type','type')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSNumericValue.type")}}</p>
